Skip to main content
POST
/
v4
/
applications
/
upload-files
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
application_files = client.applications.upload_files(
    files=[b"raw file contents"],
)
print(application_files)
[
  {
    "id": "<string>",
    "file_name": "<string>",
    "file_size_bytes": 123,
    "account_id": "<string>",
    "created_by_user_id": "<string>",
    "created_by_identity_type": "user",
    "created_at": "2023-11-07T05:31:56Z",
    "file_artifact_blob_path": "<string>"
  }
]

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Query Parameters

account_id
string | null

Account which the file will be tied to. Use this account id query param if you are using the API or the SDK.

Body

multipart/form-data
files
file[]
required

Upload files to be used in an application.

Response

Successful Response

id
string
required
file_name
string
required
file_size_bytes
integer
required
account_id
string
required

The ID of the account that owns the given entity.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

file_artifact_blob_path
string